{
  "name": "@hereconnect/frontend",
  "version": "0.0.0",
  "private": true,
  "type": "module",
  "license": "@hereconnect/license",
  "scripts": {
    "dev": "vite",
    "build": "run-p type-check \"build-only {@}\" --",
    "preview": "vite preview",
    "test:unit": "vitest",
    "test:e2e": "playwright test",
    "build-only": "vite build",
    "type-check": "vue-tsc --build --force",
    "lint": "eslint . --fix",
    "format": "prettier --write src/",
    "vite-bundle-visualizer": "npx vite-bundle-visualizer"
  },
  "dependencies": {
    "@f3ve/vue-markdown-it": "^0.2.3",
    "@hereconnect/types": "^1.0.0",
    "@primevue/forms": "^4.2.1",
    "@primevue/themes": "^4.2.1",
    "@tanstack/vue-query": "^5.60.6",
    "@unhead/vue": "^1.11.13",
    "events": "^3.3.0",
    "md5": "^2.3.0",
    "pinia": "^2.2.6",
    "pouchdb-browser": "^9.0.0",
    "pouchdb-find": "^9.0.0",
    "pouchdb-upsert": "^2.2.0",
    "primeicons": "^7.0.0",
    "primevue": "^4.2.1",
    "qr-code-styling": "^1.8.4",
    "svgo": "^3.3.2",
    "tailwind-scrollbar": "^3.1.0",
    "tailwindcss-primeui": "^0.3.4",
    "unhead": "^1.11.13",
    "vue": "^3.5.12",
    "vue-query": "^1.26.0",
    "vue-router": "^4.4.5"
  },
  "devDependencies": {
    "@playwright/test": "^1.48.2",
    "@primevue/auto-import-resolver": "^4.2.1",
    "@tsconfig/node20": "^20.1.4",
    "@types/jsdom": "^21.1.7",
    "@types/md5": "^2.3.5",
    "@types/node": "^20.17.6",
    "@types/pouchdb-browser": "^6.1.5",
    "@types/pouchdb-upsert": "^2.2.9",
    "@vitejs/plugin-vue": "^5.1.4",
    "@vitest/eslint-plugin": "1.1.7",
    "@vue/eslint-config-prettier": "^10.1.0",
    "@vue/eslint-config-typescript": "^14.1.3",
    "@vue/test-utils": "^2.4.6",
    "@vue/tsconfig": "^0.5.1",
    "autoprefixer": "^10.4.20",
    "eslint": "^9.14.0",
    "eslint-plugin-playwright": "^2.0.0",
    "eslint-plugin-vue": "^9.30.0",
    "jsdom": "^25.0.1",
    "npm-run-all2": "^7.0.1",
    "postcss": "^8.4.49",
    "prettier": "^3.3.3",
    "tailwindcss": "^3.4.14",
    "typescript": "~5.6.3",
    "unplugin-auto-import": "^0.18.6",
    "unplugin-vue-components": "^0.27.4",
    "vite": "^5.4.10",
    "vite-plugin-vue-devtools": "^7.5.4",
    "vitest": "^2.1.4",
    "vue-tsc": "^2.1.10"
  }
}
